package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanPartilister extends Bean {

    private int partikategori;
    private int visningssekvens;
    private String partinavn;

    @Override
    public String getKey() {
        return makeKey(getValgtype(), getPartikode());
    }

    public static String makeKey(String valgtype, String partikode) {
        return valgtype + partikode;
    }
    
}
